cURL
curl --request POST \
--url https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/writeLock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/writeLock"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/writeLock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"writeLock": {
"lockedAt": "<string>",
"lockedBy": "<string>",
"reason": "<string>"
}
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Prisme.ai Workspaces
Post v2workspaces writelock
Set a write lock on the workspace, preventing any modifications. Owner only.
POST
/
v2
/
workspaces
/
{workspaceId}
/
writeLock
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace id
Body
application/json
Reason for the lock (defaults to "manual")
Response
Success Response
Lock preventing writes during versioning operations or unresolved merge conflicts
Show child attributes
Show child attributes
Was this page helpful?
⌘I